import * as cxapi from '@aws-cdk/cx-api';
import { Branded } from '../../util/type-brands';
import { SdkProvider } from '../aws-auth/sdk-provider';
/**
 * Replace the {ACCOUNT} and {REGION} placeholders in all strings found in a complex object.
 */
export declare function replaceEnvPlaceholders<A extends Record<string, string | undefined>>(object: A, env: cxapi.Environment, sdkProvider: SdkProvider): Promise<{
    [k in keyof A]: StringWithoutPlaceholders | undefined;
}>;
export type StringWithoutPlaceholders = Branded<string, 'NoPlaceholders'>;
